/**
 * Created by fish119 on 2017/5/18.
 */

import Vue from 'vue'
import Vuex from 'vuex'
import mutations from './mutations'
import actions from './actions'

Vue.use(Vuex);
const path_title_array = [['/', 'Vue.js 中文社区'], ['/publish', '发布'], ['/messages', '消息中心'], ['/person', '个人中心'], ['/content', '阅读帖子'], ['/login', '登录']];
const state = {
  svrUrl: 'https://www.vue-js.com/api/v1/',
  // titles: ['Vue.js 中文社区', '发布话题', '消息中心', '个人中心'],
  titleMap: new Map(path_title_array),
  tabValue: '首页'
}

export default new Vuex.Store({
  state,
  mutations,
  actions
})
